id: cookie-consent-detection

info:
  name: Cookie Consent Detection
  author: rxerium
  severity: info
  description: |
    This template detects the presence of cookie consent forms
  tags: headless,cookie,detect

headless:
  - steps:
      - action: navigate
        args:
          url: "{{BaseURL}}"
      - action: waitload

    matchers-condition: and
    matchers:
      - type: word
        name: keyword
        words:
          - 'cookie-consent'
          - 'cookie-popup'
          - 'cookie-notice'
          - 'We use cookies'
          - 'Manage privacy preferences'
          - 'Accept all cookies'
        condition: or

      - type: status
        status:
          - 200
# digest: 490a00463044021f049adc42612f0b4f7b4d85306e9dff54db0e92f40948e27d6e1e33527611020221009fba32b967b4c9484d86e8834ce001cb06b5223eaa1e7ef7360854a805bbb619:922c64590222798bb761d5b6d8e72950